### Name: bootstrap
### Title: Bootstrap estimation and errors
### Aliases: bootstrap bootstrap.default bootstrap.mat print.bootstrap.mat
###   residuals.bootstrap.mat resid.bootstrap.mat
###   print.residuals.bootstrap.mat fitted.bootstrap.mat
###   print.fitted.bootstrap.mat
### Keywords: multivariate methods

### ** Examples

## continue the RLGH and SWAP example from ?join
example(join)

## fit the MAT model using the squared chord distance measure
swap.mat <- mat(swapdiat, swappH, method = "SQchord")

## bootstrap training set
swap.boot <- bootstrap(swap.mat, n.boot = 100)
swap.boot
summary(swap.boot)

## Bootstrap fitted values for training set
fitted(swap.boot)

## residuals
resid(swap.boot) # uses abbreviated form



