### Name: mat
### Title: Modern Analogue Technique transfer function models
### Aliases: mat mat.default mat.formula fitted.mat residuals.mat resid.mat
###   print.residuals.mat print.mat print.fitted.mat
### Keywords: models multivariate methods

### ** Examples

## continue the RLGH example from ?join
example(join)

## fit the MAT model using the squared chord distance measure
swap.mat <- mat(swapdiat, swappH, method = "SQchord")
swap.mat

## model summary
summary(swap.mat)

## fitted values
fitted(swap.mat)

## model residuals
resid(swap.mat)

## draw summary plots of the model
par(mfrow = c(2,2))
plot(swap.mat)
par(mfrow = c(1,1))

## reconstruct for the RLGH core data
rlgh.mat <- predict(swap.mat, rlgh, k = 10)
rlgh.mat
summary(rlgh.mat)

## draw the reconstruction
reconPlot(rlgh.mat, use.labels = TRUE, display.error = "bars",
          xlab = "Depth", ylab = "pH")



